# https://github.com/linuxmint/cinnamon/issues/11746
# https://github.com/linuxmint/cinnamon/commit/fce9aad1ebb290802dc550e8dae6344dddf9dec1
diff --git a/files/usr/share/cinnamon/cinnamon-settings-users/cinnamon-settings-users.py b/files/usr/share/cinnamon/cinnamon-settings-users/cinnamon-settings-users.py
index 46dd63256a..fde9822dd8 100755
--- a/files/usr/share/cinnamon/cinnamon-settings-users/cinnamon-settings-users.py
+++ b/files/usr/share/cinnamon/cinnamon-settings-users/cinnamon-settings-users.py
@@ -683,7 +683,7 @@ def _on_face_browse_menuitem_activated(self, menuitem):
             if response == Gtk.ResponseType.OK:
                 path = dialog.get_filename()
                 image = PIL.Image.open(path)
-                image.thumbnail((96, 96), Image.ANTIALIAS)
+                image.thumbnail((96, 96), Image.LANCZOS)
                 face_path = os.path.join(user.get_home_dir(), ".face")
                 try:
                     try:
diff --git a/files/usr/share/cinnamon/cinnamon-settings/bin/imtools.py b/files/usr/share/cinnamon/cinnamon-settings/bin/imtools.py
index 2ad0d8ce15..715cf4eb52 100644
--- a/files/usr/share/cinnamon/cinnamon-settings/bin/imtools.py
+++ b/files/usr/share/cinnamon/cinnamon-settings/bin/imtools.py
@@ -228,7 +228,7 @@ def create_corner(radius=100, opacity=255, factor=2):
     draw = ImageDraw.Draw(corner)
     draw.pieslice((0, 0, 2 * factor * radius, 2 * factor * radius),
                   180, 270, fill=opacity)
-    corner = corner.resize((radius, radius), Image.ANTIALIAS)
+    corner = corner.resize((radius, radius), Image.LANCZOS)
     return corner
 
 def get_format(ext):
diff --git a/files/usr/share/cinnamon/cinnamon-settings/modules/cs_backgrounds.py b/files/usr/share/cinnamon/cinnamon-settings/modules/cs_backgrounds.py
index b6cdaa25c0..156506ac72 100755
--- a/files/usr/share/cinnamon/cinnamon-settings/modules/cs_backgrounds.py
+++ b/files/usr/share/cinnamon/cinnamon-settings/modules/cs_backgrounds.py
@@ -628,7 +628,7 @@ def get_pix(self, filename, size=None):
                             img = Image.alpha_composite(bg_img, img)
                         img = img.convert("RGB")
                     if size:
-                        img.thumbnail((size, size), Image.ANTIALIAS)
+                        img.thumbnail((size, size), Image.LANCZOS)
 
                     import imtools
                     img = imtools.round_image(img, {}, False, None, 3, 255)
diff --git a/files/usr/share/cinnamon/cinnamon-settings/modules/cs_user.py b/files/usr/share/cinnamon/cinnamon-settings/modules/cs_user.py
index fef4ef940a..582df385fe 100755
--- a/files/usr/share/cinnamon/cinnamon-settings/modules/cs_user.py
+++ b/files/usr/share/cinnamon/cinnamon-settings/modules/cs_user.py
@@ -165,7 +165,7 @@ def _on_face_photo_menuitem_activated(self, menuitem):
         bottom = (height + new_height) / 2
 
         image = image.crop((left, top, right, bottom))
-        image.thumbnail((255, 255), Image.ANTIALIAS)
+        image.thumbnail((255, 255), Image.LANCZOS)
 
         face_path = os.path.join(self.accountService.get_home_dir(), ".face")
 
@@ -202,7 +202,7 @@ def _on_face_browse_menuitem_activated(self, menuitem):
         if response == Gtk.ResponseType.OK:
             path = dialog.get_filename()
             image = Image.open(path)
-            image.thumbnail((255, 255), Image.ANTIALIAS)
+            image.thumbnail((255, 255), Image.LANCZOS)
             face_path = os.path.join(self.accountService.get_home_dir(), ".face")
             image.save(face_path, "png")
             self.accountService.set_icon_file(face_path)
